<?php
$obOrder = $formModel;
$shippingMnager = new \Ims\Shophelper\Classes\ImsShippingManager();
$label = $shippingMnager->checkLabel($obOrder->id);
?>

<label for="sendShippingEmail">Sepdizione DHL</label>
<div class="scoreboard">
    <div class="scoreboard-item title-value">
        <?php if ($label) { ?>
            <a href="/storage/app/media/dhl/labels/<?= $label ?>" target="_blank">etichetta <?= $label ?></a>
        <?php } else { ?>
            <button id="quoteDHL" type="button" data-request="onGetShippingQuote" data-request-data="order:<?= $model->id ?>" data-load-indicator="Calcolo quotazione..." class="btn btn-primary" data-disposable="">Quotazione</button>&nbsp;
            <button id="sendShippingEmail" type="button" data-request="onCreateLabel" data-request-data="order:<?= $model->id ?>,shipping_company:'<?= $model->shipping_company ?>',shipping_tracking:'<?= $model->shipping_tracking ?>'" data-load-indicator="Creazione etichetta in corso..." class="btn btn-primary" data-disposable="">Crea etichetta</button>
        <?php } ?>
    </div>
</div>
<script type="text/javascript">

</script>